[Unstable Update] 2017-04-23 - Firefox, KDE Apps, Haskell, Virtualbox

unstable
update

#1

Hi community,

we mostly updated Firefox, KDE Apps, Haskell, Python and VirtualBox.

Please give us feedback as usual and report any issues you may see with this update.

kind regards,
Philip Müller and the Development Team

Current supported Kernels

  • linux310 3.10.105
  • linux312 3.12.73
  • linux316 3.16.42
  • linux318 3.18.50
  • linux41 4.1.39
  • linux44 4.4.63
  • linux48 4.8.17 [EOL]
  • linux49 4.9.24
  • linux410 4.10.12
  • linux-RT-LTS 4.4.60_rt73
  • linux-RT 4.9.20_rt16

Package Updates (Sun Apr 23 16:19:30 CEST 2017)

A detailed package list can be found here.


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


[Stable Update] 2017-04-23 - Kernels, KDE Framework, Mesa, Budgie
#2

no issue in the VM for me :slight_smile:


#3

Firefox, virtualbox and all the rest running smooth on my gnome desktop.


#4

Small update for LXQt, but successful.
Looks like I got the rest of the update today, including linux49-virtualbox-host-modules upgraded from 5.1.18-9 to 5.1.20-1
After re-starting my VM, all is still good with LXQt.


#5

wow, big update this evening, 112 pkgs
all went fine


#6

'LLo,

Such a big update today too…! -> upstream ?
From 60 to 90 packages depending on different DE (E, Xfce, Lxde) & all went fine everywhere :wink:


#7

Well, I assume you mean this update here …


#8

Mtp seams to be completely broken now works directly after boot but stops if mode changed on phone.
This is on unstable and openrc.
At a guess something to do with the gvfs update?

Yes downgraded gvfs and mount mtp worked again!

Not sure whats going on perhaps gvfs was not at fault. Anyway I built an openrc testing cinnamon iso and updated it to unstable this morning and everything appears to be working


#9

Neither Kate nor Dolphin can be run as root anymore.
J.


#10

i get this error message:

:: Synchronizing package databases…
core is up to date
extra is up to date
community is up to date
multilib is up to date
:: Starting full system upgrade…
resolving dependencies…
looking for conflicting packages…
error: failed to prepare transaction (could not satisfy dependencies)
:: gstreamer0.10-good-plugins: installing libsoup (2.58.0-1) breaks dependency ‘libsoup-gnome’


#11

… got removed. Please de-install all related packages.

Additionally I added some more packages


#12

@philm the last update of openssl-1.0 breaks some games on steam.
“Life is strange” for example doesn’t launch to me:

/home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange: /usr/lib/libssl.so.1.0.0: version `OPENSSL_1.0.0' not found (required by /home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange)
/home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange: /usr/lib/libcrypto.so.1.0.0: version `OPENSSL_1.0.0' not found (required by /home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange)
/home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange: /usr/lib/libldap_r-2.4.so.2: no version information available (required by /home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/../lib/x86_64/libcurl.so.4)
/home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange: /usr/lib/liblber-2.4.so.2: no version information available (required by /home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/../lib/x86_64/libcurl.so.4)
/home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange: /usr/lib/libssl.so.1.0.0: version `OPENSSL_1.0.1' not found (required by /home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/../lib/x86_64/libcurl.so.4)
/home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange: /usr/lib/libssl.so.1.0.0: version `OPENSSL_1.0.0' not found (required by /home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/../lib/x86_64/libcurl.so.4)
/home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/LifeIsStrange: /usr/lib/libcrypto.so.1.0.0: version `OPENSSL_1.0.0' not found (required by /home/giorgos/.local/share/Steam/steamapps/common/Life Is Strange/bin/../lib/x86_64/libcurl.so.4)

The workaround is to install packages from aur.
I wonder if there is another way to fix it?

https://bugs.archlinux.org/task/53618
https://bbs.archlinux.org/viewtopic.php?id=225539


#13

As of now @kouros17 it is the only way to do it. We have to see if we stall this whole update and if it makes sense to do so …


#14

Openssl 1.0.2.k-1 (testing) breaks seafile (from aur)
but with the current unstable version of openssl (k-3) seafile works again.


#15

Well, AUR always adopts Arch-Stable. Since we sync that branch to unstable it is clear that it works as given. However, the change to OpenSSL 1.1 changed things for lots of packages, like Steam. We will see when it is a good date to merge this all to our stable branch …


#16

icu package has been updated to 59 but manjaro-settings-manager is still looking for 58 guess it needs a rebuild.


#17

Firefox is broken for me.

[manjaro-vm ~]$ firefox
XPCOMGlueLoad error for file /usr/lib/firefox/libxul.so:
libicui18n.so.58: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

Using firefox-kde package which is 53.0-1, but noticed that firefox package is 53.0-2, possible dependency rebuild issue?

firefox-kde 53.0-1 is working fine in my testing VM.


#18

See my post above I guess its the same problem.


#19

The next update will have a major update of Palemoon to 27.3.0
https://www.palemoon.org/releasenotes.shtml


#20

The same here, manjaro-settings-manager doesn’t open:

╰─ manjaro-settings-manager
manjaro-settings-manager: error while loading shared libraries: libicuuc.so.58: cannot open shared object file: No such file or directory